org.jgroups.demos

## Class ExecutionServiceDemo.SortingTwoByteCallable

- java.lang.Object
- - org.jgroups.demos.ExecutionServiceDemo.SortingTwoByteCallable

- All Implemented Interfaces:
    java.util.concurrent.Callable<byte[]>, Streamable
  Enclosing class:
    ExecutionServiceDemo

      public static class ExecutionServiceDemo.SortingTwoByteCallable
      extends java.lang.Object
      implements java.util.concurrent.Callable<byte[]>, Streamable

  Sorts 2 byte arrys into a larger byte array
  Author:
    wburns

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `bytes1`
    `protected byte[]` | `bytes2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionServiceDemo.SortingTwoByteCallable()`
    `ExecutionServiceDemo.SortingTwoByteCallable(byte[] ints1, byte[] ints2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `call()`
    `void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
    `void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bytes1

          protected byte[] bytes1

    - #### bytes2

          protected byte[] bytes2

  - ### Constructor Detail

    - #### ExecutionServiceDemo.SortingTwoByteCallable

          public ExecutionServiceDemo.SortingTwoByteCallable()

    - #### ExecutionServiceDemo.SortingTwoByteCallable

          public ExecutionServiceDemo.SortingTwoByteCallable(byte[] ints1,
                                                     byte[] ints2)

  - ### Method Detail

    - #### call

          public byte[] call()
                      throws java.lang.Exception

      Specified by:
        `call` in interface `java.util.concurrent.Callable<byte[]>`
      Throws:
        `java.lang.Exception`

    - #### writeTo

          public void writeTo(java.io.DataOutputStream out)
                       throws java.io.IOException

      Description copied from interface: `Streamable`
      Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed
      Specified by:
        `writeTo` in interface `Streamable`
      Throws:
        `java.io.IOException`

    - #### readFrom

          public void readFrom(java.io.DataInputStream in)
                        throws java.io.IOException,
                               java.lang.IllegalAccessException,
                               java.lang.InstantiationException

      Description copied from interface: `Streamable`
      Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
      Specified by:
        `readFrom` in interface `Streamable`
      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.